Webhooks

Register a callback URL so Trint notifies your service when a transcript completes, is verified, or gets a new version.

Webhooks let Trint push a notification to your service when something happens to a transcript, so you do not have to poll the Transcripts API. Register a callback URL together with the event types you care about, and Trint will POST a JSON payload to that URL whenever a matching event occurs.

Authenticate the management endpoints below with Basic Authentication using your API key ID and secret. For an end-to-end walkthrough, see the Webhooks guide.

Managing webhooks

Register Webhook

puthttps://api.trint.com/callbacks/transcript/

Body parameters

callbackUrlstringoptional

The URL Trint should call when the specified events occur.

callbackSubscriptionsarray of stringoptional

List of events to be notified about. (TRANSCRIPT_VERIFIED, TRANSCRIPT_COMPLETE, TRANSCRIPT_NEW_VERSION)

PUT /
curl --request PUT \  --url 'https://api.trint.com/callbacks/transcript/' \
  --header 'Authorization: Basic YOUR_BASE64_KEY_ID_AND_SECRET' \
  --header 'Content-Type: application/json' \
  --data '{}'

Response 200

200 response
{}
200200
400400

De-register Webook

deletehttps://api.trint.com/callbacks/transcript/

Body parameters

callbackUrlstringoptional

URL to de-register.

DELETE /
curl --request DELETE \  --url 'https://api.trint.com/callbacks/transcript/' \
  --header 'Authorization: Basic YOUR_BASE64_KEY_ID_AND_SECRET' \
  --header 'Content-Type: application/json' \
  --data '{}'

Response 200

200 response
{}
200200
400400

Event types

Subscribe to one or more of the following event types via the callbackSubscriptions field when you register a webhook.

Event typeDescription
TRANSCRIPT_COMPLETESent when an upload or realtime file finishes transcribing.
TRANSCRIPT_VERIFIEDSent when a transcript has been fully verified in the editor. Also applies to transcripts which are shared with you.
TRANSCRIPT_NEW_VERSIONBeta. Sent when there is a new transcript version. Also applies to transcripts which are shared with you. Available from 10 Feb 2025.

Callback payload

When a subscribed event occurs, Trint sends an HTTP request to your registered callbackUrl:

post {callbackUrl}

The request body is a JSON object with the following fields. All values are strings.

FieldDescription
eventTypeThe event type of the callback.
transcriptIdThe ID of the transcript the event relates to.
titleTitle of the Trint.
userUsername of the user attached to the Trint.
metadataIf metadata was supplied at upload time it is reflected back here. Present for TRANSCRIPT_COMPLETE and TRANSCRIPT_VERIFIED only.
json
{
  "eventType": "TRANSCRIPT_COMPLETE",
  "transcriptId": "5f8d0d55b54764421b7156c3",
  "title": "Quarterly earnings call",
  "user": "you@example.com",
  "metadata": "{\"projectId\":\"abc-123\"}"
}

Acknowledge quickly

Respond to the callback with a 2xx status code as soon as you have received it, then do any heavy processing asynchronously. Use the transcriptId to fetch the full transcript from the Transcripts API.